org.apache.ivy.plugins.namespace

## Class MRIDRule

- java.lang.Object
- - org.apache.ivy.plugins.namespace.MRIDRule

    public class MRIDRule
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`MRIDRule()`
`MRIDRule(java.lang.String org, java.lang.String mod, java.lang.String rev)`

### Method Summary

Methods
`java.lang.String` `getBranch()`
`java.lang.String` `getModule()`
`java.lang.String` `getOrg()`
`java.lang.String` `getRev()`
`void` `setBranch(java.lang.String branch)`
`void` `setModule(java.lang.String module)`
`void` `setOrg(java.lang.String org)`
`void` `setRev(java.lang.String rev)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MRIDRule

    public MRIDRule(java.lang.String org,
            java.lang.String mod,
            java.lang.String rev)

#### MRIDRule

    public MRIDRule()

### Method Detail

#### getModule

    public java.lang.String getModule()

#### setModule

    public void setModule(java.lang.String module)

#### getOrg

    public java.lang.String getOrg()

#### setOrg

    public void setOrg(java.lang.String org)

#### getRev

    public java.lang.String getRev()

#### setRev

    public void setRev(java.lang.String rev)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### getBranch

    public java.lang.String getBranch()

#### setBranch

    public void setBranch(java.lang.String branch)